<?php
/**
 * elegantPurl Lite uninstall
 *
 * PHP version 5
 *
 * @package   elegantPurl Lite
 * @author    Chris Lema (cflema@gmail.com) and Justin Kussow (jdkussow@gmail.com)
 * @copyright Copyright (c)2012 ALL RIGHTS RESERVED
 */
if ( WP_UNINSTALL_PLUGIN || $epurl_reset ) {
    global $wpdb;

    // kill the options
    delete_option('plugin_epurl_settings');

    // kill the campaign members' post meta data
    $wpdb->query( $wpdb->prepare("
                DELETE pm
                FROM $wpdb->postmeta pm
                JOIN $wpdb->posts p ON pm.post_id = p.ID
                WHERE p.post_type = 'epurl_member'
            ") );

    // kill the campaign member posts
    $wpdb->query( $wpdb->prepare("
                DELETE FROM $wpdb->posts
                WHERE post_type = 'epurl_member'
            ") );
    
    // kill the campaigns' post meta data
    $wpdb->query( $wpdb->prepare("
                DELETE pm
                FROM $wpdb->postmeta pm
                JOIN $wpdb->posts p ON pm.post_id = p.ID
                WHERE p.post_type = 'epurl_campaign'
            ") );

    // kill the campaign posts
    $wpdb->query( $wpdb->prepare("
                DELETE FROM $wpdb->posts
                WHERE post_type = 'epurl_campaign'
            ") );
    
    // clear the rewrite rules that ePurl added
    global $wp_rewrite;
    $wp_rewrite->flush_rules();
}
?>
